%display_breg
[p m]=psnB(f0,uk)
figure(14);cla;

aj(uk);
XYti
title(['restored, PSNR=' num2str(p)])
figure(18);cla;
subplot(221)
aj(f0);
title('origin')
XYti

subplot(222)
[p m]=psnB(f0,F2)
aj(F2);
title(['blurr+nois, PSNR=' num2str(p)])
XYti

subplot(224)
[p m]=psnB(f0,FF3)

aj(FF3);
title(['distorted, PSNR=' num2str(p)])
XYti

subplot(223)

 uk1=255*(uk>255)+uk.*(uk<=255&uk>=0);
 
[p m]=psnB(f0,uk1)
aj(uk1);
XYti

title(['restored, PSNR=' num2str(p)])